package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumVerifyCode {

    YES(1, "是"),
    NO(0, "否")
    ;

    public static EnumVerifyCode getEnum(Integer code) {
        for (EnumVerifyCode value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumVerifyCode(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
